Page MenuHomePhabricator

Prepare and check storage layer for niawiki
Closed, ResolvedPublic

Description

The new wiki's visibility will be: Public.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2020, 6:25 PM
Restricted Application edited projects, added cloud-services-team (Kanban); removed cloud-services-team. · View Herald TranscriptDec 18 2020, 6:41 PM
LSobanski triaged this task as Medium priority.Dec 21 2020, 1:31 PM
LSobanski moved this task from Triage to Blocked on the DBA board.
LSobanski added a subscriber: LSobanski.

Thanks, let us know when the database is created, so we can sanitize it.

Thanks, let us know when the database is created, so we can sanitize it.

DB was created.

Marostegui moved this task from Blocked to In progress on the DBA board.Tue, Jan 12, 8:37 AM

Mentioned in SAL (#wikimedia-operations) [2021-01-12T08:40:32Z] <marostegui> Sanitize bclwiktionary diqwiktionary niawiki niawiktionary diqwiktionary on db1124 db2094 db11154 T270280 T270276 T270414 T270410 T271261

Marostegui moved this task from In progress to Done on the DBA board.Tue, Jan 12, 9:43 AM
Marostegui added subscribers: Bstorm, nskaggs, Marostegui.

Database sanitized, _p database created, and grants given to labsdbuser. check private data came back clean. I also tested the triggers with my user on this wiki and it was ok.
cloud-services-team please create the views on labsdb1009, 1010, 1011 and 1012. Also create them on the new hosts clouddb1016:3315, clouddb1020:3315

Bstorm closed this task as Resolved.Fri, Jan 15, 11:05 PM
Bstorm claimed this task.

This is done.

MariaDB [niawiki_p]> select page_id,page_namespace,page_title from page limit 2;
+---------+----------------+------------+
| page_id | page_namespace | page_title |
+---------+----------------+------------+
|      50 |              0 | Aberahamo  |
|      51 |              0 | Abraham    |
+---------+----------------+------------+
2 rows in set (0.00 sec)